Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionRefreshTokenResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionRefreshTokenResponse`, `ClientWireProtocol.ClientConnectionRefreshTokenResponse.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.ClientConnectionRefreshTokenResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SecurityToken`
`getNewSecurityToken()`
The returned security token.
`ClientWireProtocol.SecurityTokenOrBuilder`
`getNewSecurityTokenOrBuilder()`
The returned security token.
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasNewSecurityToken()`
The returned security token.
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### hasNewSecurityToken

boolean hasNewSecurityToken()

     The returned security token.

`.xg.cmdcomp.SecurityToken newSecurityToken = 2;`

Returns:
  Whether the newSecurityToken field is set.

### getNewSecurityToken

ClientWireProtocol.SecurityToken getNewSecurityToken()

     The returned security token.

`.xg.cmdcomp.SecurityToken newSecurityToken = 2;`

Returns:
  The newSecurityToken.

### getNewSecurityTokenOrBuilder

ClientWireProtocol.SecurityTokenOrBuilder getNewSecurityTokenOrBuilder()

     The returned security token.

`.xg.cmdcomp.SecurityToken newSecurityToken = 2;`